alpm_api_errors(3)

NAME
alpm_api_errors

SYNOPSIS

  Typedefs
typedef enum _alpm_errno_t alpm_errno_t

  Enumerations
enum _alpm_errno_t { ALPM_ERR_OK = 0, ALPM_ERR_MEMORY, ALPM_ERR_SYSTEM, ALPM_ERR_BADPERMS, ALPM_ERR_NOT_A_FILE, ALPM_ERR_NOT_A_DIR, ALPM_ERR_WRONG_ARGS, ALPM_ERR_DISK_SPACE, ALPM_ERR_HANDLE_NULL, ALPM_ERR_HANDLE_NOT_NULL, ALPM_ERR_HANDLE_LOCK, ALPM_ERR_DB_OPEN, ALPM_ERR_DB_CREATE, ALPM_ERR_DB_NULL, ALPM_ERR_DB_NOT_NULL, ALPM_ERR_DB_NOT_FOUND, ALPM_ERR_DB_INVALID, ALPM_ERR_DB_INVALID_SIG, ALPM_ERR_DB_VERSION, ALPM_ERR_DB_WRITE, ALPM_ERR_DB_REMOVE, ALPM_ERR_SERVER_BAD_URL, ALPM_ERR_SERVER_NONE, ALPM_ERR_TRANS_NOT_NULL, ALPM_ERR_TRANS_NULL, ALPM_ERR_TRANS_DUP_TARGET, ALPM_ERR_TRANS_NOT_INITIALIZED, ALPM_ERR_TRANS_NOT_PREPARED, ALPM_ERR_TRANS_ABORT, ALPM_ERR_TRANS_TYPE, ALPM_ERR_TRANS_NOT_LOCKED, ALPM_ERR_TRANS_HOOK_FAILED, ALPM_ERR_PKG_NOT_FOUND, ALPM_ERR_PKG_IGNORED, ALPM_ERR_PKG_INVALID, ALPM_ERR_PKG_INVALID_CHECKSUM, ALPM_ERR_PKG_INVALID_SIG, ALPM_ERR_PKG_MISSING_SIG, ALPM_ERR_PKG_OPEN, ALPM_ERR_PKG_CANT_REMOVE, ALPM_ERR_PKG_INVALID_NAME, ALPM_ERR_PKG_INVALID_ARCH, ALPM_ERR_PKG_REPO_NOT_FOUND, ALPM_ERR_SIG_MISSING, ALPM_ERR_SIG_INVALID, ALPM_ERR_UNSATISFIED_DEPS, ALPM_ERR_CONFLICTING_DEPS, ALPM_ERR_FILE_CONFLICTS, ALPM_ERR_RETRIEVE, ALPM_ERR_INVALID_REGEX, ALPM_ERR_LIBARCHIVE, ALPM_ERR_LIBCURL, ALPM_ERR_EXTERNAL_DOWNLOAD, ALPM_ERR_GPGME, ALPM_ERR_MISSING_CAPABILITY_SIGNATURES }

  Functions
alpm_errno_t alpm_errno (alpm_handle_t *handle)
Returns the current error code from the handle.
const char * alpm_strerror (alpm_errno_t err)
Returns the string corresponding to an error number.

Detailed Description

Function Documentation

  alpm_errno_t alpm_errno (alpm_handle_t * handle)

Returns the current error code from the handle.

  const char* alpm_strerror (alpm_errno_t err)

Returns the string corresponding to an error number.

Author

Generated automatically by Doxygen for libalpm from the source code.